package org.springblade.common.controller.vo;

import lombok.Data;

import java.util.Map;

/**
 * 公共接口实例
 */
@Data
public class RequestCommonVO {
	/**
	 * 类名
	 */
	private String className;
	/**
	 * 方法名
	 */
	private String methodName;
	/**
	 * 实际参数
	 */
	private Map<String, Object> params;

	private String token;
}
