package org.springblade.common.vo;

import lombok.Data;

import java.util.Map;

/**
 * 公共接口实例
 */
@Data
public class RequestCommonVO {
	/**
	 * 服务名
	 */
	private String className;
	/**
	 * 方法名
	 */
	private String methodName;
	/**
	 * 用户名
	 */
	private String username;
	/**
	 * 密码
	 */
	private String password;
	/**
	 * 实际参数
	 */
	private Map<String, Object> params;
}
