package org.springblade.modules.JlrhJws.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 警务室 视图实体类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Data
public class JlrhJwsVO {
	private static final long serialVersionUID = 1L;
	/**
	 * 主键id
	 */
	@ApiModelProperty(value = "主键id")
	private Long id;
	/**
	 * 所属分局
	 */
	@ApiModelProperty(value = "所属分局")
	private String ssfj;
	/**
	 * 所属分局编码
	 */
	@ApiModelProperty(value = "所属分局编码")
	private Long ssfjBm;
	/**
	 * 所属派出所
	 */
	@ApiModelProperty(value = "所属派出所")
	private String ssbm;
	/**
	 * 所属派出所编码
	 */
	@ApiModelProperty(value = "所属派出所编码")
	private Long ssbmBm;
	/**
	 * 所属社区
	 */
	@ApiModelProperty(value = "所属社区")
	private String sssq;
	/**
	 * 所属社区编码
	 */
	@ApiModelProperty(value = "所属社区编码")
	private Long sssqBm;
	/**
	 * 警务室（站）名称
	 */
	@ApiModelProperty(value = "警务室（站）名称")
	private String jwsmc;
	/**
	 * 室站类别
	 */
	@ApiModelProperty(value = "室站类别")
	private String szlb;
	/**
	 * 警务室类型
	 */
	@ApiModelProperty(value = "警务室类型")
	private String jwslx;
	/**
	 * 警务室（站）所在地
	 */
	@ApiModelProperty(value = "警务室（站）所在地")
	private String szd;
	/**
	 * 管理民警
	 */
	@ApiModelProperty(value = "管理民警")
	private String glmj;
	/**
	 * 管理民警电话
	 */
	@ApiModelProperty(value = "管理民警电话")
	private String glmjdh;
	/**
	 * 警务站责任人
	 */
	@ApiModelProperty(value = "警务站责任人")
	private String jwzzrr;
	/**
	 * 是否警务助理
	 */
	@ApiModelProperty(value = "是否警务助理")
	private String sfjwzl;
	/**
	 * 责任人联系电话
	 */
	@ApiModelProperty(value = "责任人联系电话")
	private String zrrlxdh;
	/**
	 * 警务站照片
	 */
	@ApiModelProperty(value = "警务站照片")
	private String jwzzp;
	/**
	 * 警务站精度
	 */
	@ApiModelProperty(value = "警务站精度")
	private String jwzjd;
	/**
	 * 警务站纬度
	 */
	@ApiModelProperty(value = "警务站纬度")
	private String jwzwd;
	/**
	 * 警务站地址
	 */
	@ApiModelProperty(value = "警务站地址")
	private String jwzdz;
	/**
	 * 警务站简介
	 */
	@ApiModelProperty(value = "警务站简介")
	private String jwzjj;
	/**
	 * 地图经度
	 */
	@ApiModelProperty(value = "地图经度")
	private String dtJd;
	/**
	 * 地图纬度
	 */
	@ApiModelProperty(value = "地图纬度")
	private String dtWd;
	/**
	 * 地图地址
	 */
	@ApiModelProperty(value = "地图地址")
	private String dtDz;
	/**
	 * 打卡范围
	 */
	@ApiModelProperty(value = "打卡范围")
	private String dkfw;
	private String sssj;
	private Long sssjBm;
	private Long sspcsBm;
}
