package org.springblade.modules.appmenu.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.appmenu.entity.AppMenu;
import org.springblade.modules.appmenu.vo.AppMenuVO;
import org.springblade.modules.appmenu.vo.RwtxListVO;
import org.springblade.modules.appmenu.vo.RwtxVO;

import java.util.List;
import java.util.Map;

/**
 *  Mapper 接口
 *
 * @author BladeX
 * @since 2022-11-21
 */
public interface AppMenuMapper extends BaseMapper<AppMenu> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param appMenu
	 * @return
	 */
	List<AppMenuVO> selectAppMenuPage(IPage page, AppMenuVO appMenu);


	Integer getQzgx(@Param("params") Map<String, Object> params);

	List<RwtxVO> getRwtxList();

	RwtxListVO getRwtx(Long deptId);
}
