package org.springblade.modules.bq.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;


/**
 * 标签_审批 实体类
 *
 * @author wth
 * @since 2024-11-25
 */
@Data
@TableName("bq.bq_sp")
@EqualsAndHashCode(callSuper = true)
public class BqSpEntity extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	 * bq_info表id
	 */
	@ApiModelProperty(value = "bq_info表id")
	private Long bqId;
	/**
	 * 审批类型1=新增 2=删除
	 */
	@ApiModelProperty(value = "审批类型1=新增 2=删除")
	private Integer splx;
	/**
	 * 审批结果 0=待审批 1=已同意 2=已拒绝
	 */
	@ApiModelProperty(value = "审批结果 0=待审批 1=已同意 2=已拒绝")
	private Integer spjg;

}
