package org.springblade.modules.bq.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.bq.excel.BqInfoExcel;
import org.springblade.modules.bq.mapper.BqInfoMapper;
import org.springblade.modules.bq.pojo.entity.BqInfoEntity;
import org.springblade.modules.bq.pojo.vo.BqInfoVO;
import org.springblade.modules.bq.service.IBqInfoService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 标签表 服务实现类
 *
 * @author wth
 * @since 2024-11-25
 */
@Service
public class BqInfoServiceImpl extends BaseServiceImpl<BqInfoMapper, BqInfoEntity> implements IBqInfoService {

	@Override
	public List<BqInfoVO> selectBqInfoPage(Map<String, Object> params) {
		return baseMapper.selectBqInfoPage(params);
	}

	@Override
	public List<BqInfoExcel> exportBqInfo(Wrapper<BqInfoEntity> queryWrapper) {
		List<BqInfoExcel> bqInfoList = baseMapper.exportBqInfo(queryWrapper);
		//bqInfoList.forEach(bqInfo -> {
		//	bqInfo.setTypeName(DictCache.getValue(DictEnum.YES_NO, BqInfoEntity.getType()));
		//});
		return bqInfoList;
	}

}
