package org.springblade.modules.fwbbjq.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 实体类
 *
 * @author BladeX
 * @since 2022-12-05
 */
@Data
@TableName("ydjw_fwbbjq")
@ApiModel(value = "Fwbbjq对象", description = "Fwbbjq对象")
public class Fwbbjq implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	* 主键
	*/
		@ApiModelProperty(value = "主键")
		@TableId(value = "id", type = IdType.ASSIGN_ID)
		private Long id;
	/**
	* 通知标题
	*/
		@ApiModelProperty(value = "通知标题")
		private String tzbt;
	/**
	* 通知时间
	*/
		@ApiModelProperty(value = "通知时间")
		private String tzsj;
	/**
	* 通知内容
	*/
		@ApiModelProperty(value = "通知内容")
		private String tznr;
	/**
	* 照片
	*/
		@ApiModelProperty(value = "照片")
		private String zp;

	/**
	 * 部门id
	 */
	@ApiModelProperty(value = "部门id")
	private Long bmid;

}
