package org.springblade.modules.fwbbjq.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.modules.fwbbjq.entity.Fwbbjq;
import org.springblade.modules.fwbbjq.vo.FwbbjqVO;

import java.util.List;

/**
 *  Mapper 接口
 *
 * @author BladeX
 * @since 2022-12-05
 */
public interface FwbbjqMapper extends BaseMapper<Fwbbjq> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param fwbbjq
	 * @return
	 */
	List<FwbbjqVO> selectFwbbjqPage(IPage page, FwbbjqVO fwbbjq);

}
