package org.springblade.modules.fwbbjq.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.modules.fwbbjq.entity.Fwbbjq;
import org.springblade.modules.fwbbjq.mapper.FwbbjqMapper;
import org.springblade.modules.fwbbjq.service.IFwbbjqService;
import org.springblade.modules.fwbbjq.vo.FwbbjqVO;
import org.springframework.stereotype.Service;

/**
 *  服务实现类
 *
 * @author BladeX
 * @since 2022-12-05
 */
@Service
public class FwbbjqServiceImpl extends ServiceImpl<FwbbjqMapper, Fwbbjq> implements IFwbbjqService {

	@Override
	public IPage<FwbbjqVO> selectFwbbjqPage(IPage<FwbbjqVO> page, FwbbjqVO fwbbjq) {
		return page.setRecords(baseMapper.selectFwbbjqPage(page, fwbbjq));
	}

}
