package org.springblade.modules.log.rhzfFw.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 入户走访_房屋_基本信息 实体类
 *
 * @author BladeX
 * @since 2024-03-15
 */
@Data
@TableName("log.log_rhzf_fw")
@ApiModel(value = "RhzfFw对象", description = "入户走访_房屋_基本信息")
@EqualsAndHashCode(callSuper = true)
public class RhzfFwEntity extends BaseEntity {

	/**
	 * ld_bzdz表dzbm
	 */
	@ApiModelProperty(value = "ld_bzdz表dzbm")
	private String dzbm;
	/**
	 * 房屋地址_类型(城镇1/乡村2)
	 */
	@ApiModelProperty(value = "房屋地址_类型(城镇1/乡村2)")
	private Integer dzType;
	/**
	 * 房屋地址_单元
	 */
	@ApiModelProperty(value = "房屋地址_单元")
	private String dyh;
	/**
	 * 楼层号
	 */
	@ApiModelProperty(value = "楼层号")
	private Integer lch;
	/**
	 * 房屋地址_门牌号
	 */
	@ApiModelProperty(value = "房屋地址_门牌号")
	private String lcnpmh;
	/**
	 * 房屋信息_类别
	 */
	@ApiModelProperty(value = "房屋信息_类别")
	private String fwLb;
	/**
	 * 房屋信息_用途
	 */
	@ApiModelProperty(value = "房屋信息_用途")
	private String fwYt;
	/**
	 * 房屋信息_性质
	 */
	@ApiModelProperty(value = "房屋信息_性质")
	private String fwXz;
	/**
	 * 房屋信息_使用用途
	 */
	@ApiModelProperty(value = "房屋信息_使用用途")
	private String fwSyyt;
	/**
	 * 房屋信息_户内面积
	 */
	@ApiModelProperty(value = "房屋信息_户内面积")
	private String fwMj;
	/**
	 * 房屋信息_户内间数
	 */
	@ApiModelProperty(value = "房屋信息_户内间数")
	private String fwJs;
	/**
	 * 是否空房 0否 1是
	 */
	@ApiModelProperty(value = "是否空房 0否 1是")
	private Integer sfkf;
	/**
	 * 上门服务类型
	 */
	@ApiModelProperty(value = "上门服务类型")
	private String fwlx;
	/**
	 * 工作意见
	 */
	@ApiModelProperty(value = "工作意见")
	private String gzyj;
	/**
	 * 签字照片
	 */
	@ApiModelProperty(value = "签字照片")
	private String qzzp;
	/**
	 * 安全防范宣传 0无 1有
	 */
	@ApiModelProperty(value = "安全防范宣传 0无 1有")
	private Integer aqffxc;
	/**
	 * 问题反应
	 */
	@ApiModelProperty(value = "问题反应")
	private String wtfy;
	/**
	 * 问题反应_附件
	 */
	@ApiModelProperty(value = "问题反应_附件")
	private String wtfyFj;
	/**
	 * 矛盾id
	 */
	@ApiModelProperty(value = "矛盾id")
	private String mdId;
	/**
	 * 单元后缀
	 */
	@ApiModelProperty(value = "单元后缀")
	private String dyhSuffix;
	/**
	 * 楼层号后缀
	 */
	@ApiModelProperty(value = "楼层号后缀")
	private String lchSuffix;
	/**
	 * 门牌号后缀
	 */
	@ApiModelProperty(value = "门牌号后缀")
	private String lcnpmhSuffix;
	/**
	 * 走访次数
	 */
	@ApiModelProperty(value = "走访次数")
	private Integer times;
	/**
	 * 经度
	 */
	@ApiModelProperty(value = "经度")
	private String jd;
	/**
	 * 纬度
	 */
	@ApiModelProperty(value = "纬度")
	private String wd;
	/**
	 * 房屋照片
	 */
	@ApiModelProperty(value = "房屋照片")
	private String zp;
	/**
	 * 民警id
	 */
	@ApiModelProperty(value = "民警id")
	private Long mjId;
	/**
	 * 网络情况 0正常 1弱网
	 */
	@ApiModelProperty(value = "网络情况 0正常 1弱网")
	private int wlqk;
}
