package org.springblade.modules.mdjfdj.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springblade.modules.mdjfdj.entity.MdjfDjEntity;
import org.springblade.modules.mdjfry.entity.MdjfRyEntity;
import org.springblade.modules.mdjftj.entity.MdjfTjEntity;

import java.util.List;

/**
 * 矛盾纠纷登记表 视图实体类
 *
 * @author BladeX
 * @since 2023-08-02
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class MdjfDjVO extends MdjfDjEntity {
	private static final long serialVersionUID = 1L;
	private Long fwId;
	private MdjfDjEntity mdjfDj;
	private List<MdjfRyEntity> mdjfRyList;
	private List<MdjfTjEntity> mdjfTjList;
}
