package org.springblade.modules.pfInfo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;
import org.springblade.core.tenant.mp.TenantEntity;

/**
 * 手动打分 实体类
 *
 * @author BladeX
 * @since 2023-07-13
 */
@Data
@TableName("pf_info")
@ApiModel(value = "pf_info对象", description = "手动打分")
@EqualsAndHashCode(callSuper = true)
public class PfInfoEntity extends BaseEntity {

	/**
	 * 手机号码
	 */
	@ApiModelProperty(value = "手机号码")
	private String sjhm;
	/**
	 * 年月(2023-07)
	 */
	@ApiModelProperty(value = "年月(2023-07)")
	private String yf;
	/**
	 * 评分项
	 */
	@ApiModelProperty(value = "评分项")
	private Long pfxId;
	/**
	 * 扣分原因
	 */
	@ApiModelProperty(value = "扣分原因")
	private String kfyy;
	/**
	 * 附件
	 */
	@ApiModelProperty(value = "附件")
	private String file;

}
