package org.springblade.modules.rhzf.aqxcff.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.rhzf.aqxcff.excel.RhzfAqxcffExcel;
import org.springblade.modules.rhzf.aqxcff.pojo.entity.RhzfAqxcffEntity;
import org.springblade.modules.rhzf.aqxcff.pojo.vo.RhzfAqxcffVO;

import java.util.List;
import java.util.Map;

/**
 * 入户走访_安全宣传防范 服务类
 *
 * @author wth
 * @since 2024-11-14
 */
public interface IRhzfAqxcffService extends BaseService<RhzfAqxcffEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page       分页参数
	 * @param rhzfAqxcff 查询参数
	 * @return IPage<RhzfAqxcffVO>
	 */
	IPage<RhzfAqxcffVO> selectRhzfAqxcffPage(IPage<RhzfAqxcffVO> page, RhzfAqxcffVO rhzfAqxcff);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<RhzfAqxcffExcel>
	 */
	List<RhzfAqxcffExcel> exportRhzfAqxcff(Wrapper<RhzfAqxcffEntity> queryWrapper);

	List<RhzfAqxcffEntity> getByDzbm(Map<String, Object> params);
}
