/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.rhzf.fwInfo.vo;

import org.springblade.modules.rhzf.fwInfo.entity.FwInfoEntity;
import org.springblade.core.tool.node.INode;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 入户走访_房屋_基本信息 视图实体类
 *
 * @author BladeX
 * @since 2023-11-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FwInfoVO extends FwInfoEntity {
	private static final long serialVersionUID = 1L;

	private String fwId;
	private String fzxm;
	private String fzDh;
	private String fzSfzh;
	private String deptName;
	private String dzXz;
	private String userName;
	private String updateName;
	private String deptId;
	private String sfzh;
	private String fwYt;
	private String ssfjName;
	private String sspcsName;
	private String sssjName;
	private String sssqName;
	private String startTime;
	private String endTime;
	private String updateStartTime;
	private String updateEndTime;
	private String pcsName;
	private String xfjName;
	private String tsqk;
	private Integer fwrycount;
	private String tsrq;
	private String ldphxlh;
	private String dzbm;
	private Date fzUpdateTime;
}
