package org.springblade.modules.rhzf.fwInfo.vo;

import lombok.Data;
import org.springblade.modules.rhzf.aqxcff.pojo.entity.RhzfAqxcffEntity;
import org.springblade.modules.rhzf.fwFz.entity.FwFzEntity;
import org.springblade.modules.rhzf.fwqz.pojo.entity.RhzfFwqzEntity;
import org.springblade.modules.rhzf.gzyj.pojo.entity.RhzfGzyjEntity;
import org.springblade.modules.rhzf.jxcs.vo.JxcsVO;
import org.springblade.modules.rhzf.wtfy.pojo.entity.RhzfWtfyEntity;
import org.springblade.modules.sqjw.sydw.pojo.entity.SydwEntity;

import java.util.Date;
import java.util.List;

/**
 * 入户走访_房屋_基本信息 视图实体类
 *
 * @author BladeX
 * @since 2023-11-14
 */
@Data
public class RhzfSaveVO {
	private static final long serialVersionUID = 1L;
	/**
	 * 房屋id
	 */
	private Long id;
	/**
	 * 房屋地址
	 */
	private String dzmc;
	/**
	 * 楼栋名称
	 */
	private String ldMc;
	/**
	 * ld_bzdz表dzbm
	 */
	private String dzbm;
	/**
	 * 房屋地址_类型(城镇1/乡村2)
	 */
	private Integer dzType;
	/**
	 * 房屋信息_类别
	 */
	private String fwLb;
	/**
	 * 房屋信息_用途
	 */
	private String fwYt;
	/**
	 * 房屋信息_性质
	 */
	private String fwXz;
	/**
	 * 房屋信息_使用用途
	 */
	private String fwSyyt;
	/**
	 * 房屋信息_户内面积
	 */
	private String fwMj;
	/**
	 * 房屋信息_户内间数
	 */
	private String fwJs;
	/**
	 * 是否上门服务
	 */
	private String sfsmfw;
	/**
	 * 上门服务类型
	 */
	private String fwlx;
	/**
	 * 签字照片
	 */
	private String qzzp;
	/**
	 * 安全防范宣传 0无 1有
	 */
	private int aqffxc;
	/**
	 * 矛盾id
	 */
	private String mdId;
	/**
	 * 经度
	 */
	private String jd;
	/**
	 * 纬度
	 */
	private String wd;
	/**
	 * 房屋照片
	 */
	private String zp;
	/**
	 * 海拔
	 */
	private String hb;
	/**
	 * 拍照时间
	 */
	private Date pzsj;
	/**
	 * renyuan
	 */
	private Long updateUser;
	/**
	 * 辅警对应的民警id
	 */
	private Long mjId;
	/**
	 * 网络情况 0正常 1弱网
	 */
	private int wlqk;
	/**
	 * 创建日期
	 */
	private Date createTime;
	/**
	 * 更新日期
	 */
	private Date updateTime;
	/**
	 * 房主信息
	 */
	private FwFzEntity fzInfo;
	/**
	 * 实有居住人员列表
	 */
	private List<SyjzryVO> syjzryList;
	/**
	 * 九小场所列表
	 */
	private List<JxcsVO> jxcsList;
	/**
	 * 工作意见提交
	 */
	private RhzfGzyjEntity gzyj;
	/**
	 * 工作意见历史
	 */
	private List<RhzfGzyjEntity> gzyjHistory;
	/**
	 * 问题反应提交
	 */
	private RhzfWtfyEntity wtfy;
	/**
	 * 问题反应历史
	 */
	private List<RhzfWtfyEntity> wtfyHistory;
	/**
	 * 服务群众提交
	 */
	private RhzfFwqzEntity fwqz;
	/**
	 * 服务群众历史
	 */
	private List<RhzfFwqzEntity> fwqzHistory;
	/**
	 * 安全宣传防范提交
	 */
	private RhzfAqxcffEntity aqxcff;
	/**
	 * 安全宣传防范历史
	 */
	private List<RhzfAqxcffEntity> aqxcffHistory;
	/**
	 * 实有单位
	 */
	private SydwEntity sydw;
}
