package org.springblade.modules.rhzf.fwqz.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.rhzf.fwqz.excel.RhzfFwqzExcel;
import org.springblade.modules.rhzf.fwqz.pojo.entity.RhzfFwqzEntity;
import org.springblade.modules.rhzf.fwqz.pojo.vo.RhzfFwqzVO;

import java.util.List;
import java.util.Map;

/**
 * 入户走访_服务群众 服务类
 *
 * @author BladeX
 * @since 2024-10-31
 */
public interface IRhzfFwqzService extends BaseService<RhzfFwqzEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param rhzfFwqz 查询参数
	 * @return IPage<RhzfFwqzVO>
	 */
	IPage<RhzfFwqzVO> selectRhzfFwqzPage(IPage<RhzfFwqzVO> page, Map<String, Object> params);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<RhzfFwqzExcel>
	 */
	List<RhzfFwqzExcel> exportRhzfFwqz(Wrapper<RhzfFwqzEntity> queryWrapper);

    List<RhzfFwqzEntity> getByDzbm(Map<String, Object> params);
}
