package org.springblade.modules.rhzf.gzyj.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 入户走访_意见征集 实体类
 *
 * @author wth
 * @since 2024-11-14
 */
@Data
@TableName("jdrh.rhzf_gzyj")
@EqualsAndHashCode(callSuper = true)
public class RhzfGzyjEntity extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	 * 关联rhzf_fw_info表id
	 */
	@ApiModelProperty(value = "关联rhzf_fw_info表id")
	private Long fwId;
	/**
	 * 地址编码
	 */
	@ApiModelProperty(value = "地址编码")
	private String dzbm;
	/**
	 * 工作意见
	 */
	@ApiModelProperty(value = "工作意见")
	private String gzyj;

}
