package org.springblade.modules.rhzf.gzyj.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.rhzf.gzyj.excel.RhzfGzyjExcel;
import org.springblade.modules.rhzf.gzyj.pojo.entity.RhzfGzyjEntity;
import org.springblade.modules.rhzf.gzyj.pojo.vo.RhzfGzyjVO;

import java.util.List;
import java.util.Map;

/**
 * 入户走访_意见征集 服务类
 *
 * @author wth
 * @since 2024-11-14
 */
public interface IRhzfGzyjService extends BaseService<RhzfGzyjEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param rhzfGzyj 查询参数
	 * @return IPage<RhzfGzyjVO>
	 */
	IPage<RhzfGzyjVO> selectRhzfGzyjPage(IPage<RhzfGzyjVO> page, RhzfGzyjVO rhzfGzyj);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<RhzfGzyjExcel>
	 */
	List<RhzfGzyjExcel> exportRhzfGzyj(Wrapper<RhzfGzyjEntity> queryWrapper);

	List<RhzfGzyjEntity> getByDzbm(Map<String, Object> params);
}
