package org.springblade.modules.rhzf.wtfy.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * 入户走访_问题反映 Excel实体类
 *
 * @author wth
 * @since 2024-11-14
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class RhzfWtfyExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 关联rhzf_fw_info表id
	 */
	@ColumnWidth(20)
	@ExcelProperty("关联rhzf_fw_info表id")
	private Long fwId;
	/**
	 * 地址编码
	 */
	@ColumnWidth(20)
	@ExcelProperty("地址编码")
	private String dzbm;
	/**
	 * 问题反映
	 */
	@ColumnWidth(20)
	@ExcelProperty("问题反映")
	private String wtfy;
	/**
	 * 问题反映附件
	 */
	@ColumnWidth(20)
	@ExcelProperty("问题反映附件")
	private String wtfyFj;

}
