package org.springblade.modules.rwxffkb.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import java.util.Date;

/**
 * 任务下发反馈 实体类
 *
 * @author ldx
 * @since 2023-09-13
 */
@Data
@TableName("rwxffkb")
@ApiModel(value = "Rwxffkb对象", description = "任务下发反馈")
@EqualsAndHashCode(callSuper = true)
public class RwxffkbEntity extends BaseEntity {

	/**
	 * 任务表名
	 */
	@ApiModelProperty(value = "任务表名")
	private String rwly;
	/**
	 * 任务名称
	 */
	@ApiModelProperty(value = "任务名称")
	private String rwmc;
	/**
	 * 任务id
	 */
	@ApiModelProperty(value = "任务id")
	private Long rwid;
	/**
	 * 任务状态
	 */
	@ApiModelProperty(value = "任务状态")
	private String rwzt;
	/**
	 * 任务接收时间
	 */
	@ApiModelProperty(value = "任务接收时间")
	private Date rwjssj;
	/**
	 * 任务下发时间
	 */
	@ApiModelProperty(value = "任务下发时间")
	private Date rwxfsj;
	/**
	 * 下发给谁
	 */
	@ApiModelProperty(value = "下发给谁")
	private Long userId;
	/**
	 * 下发给哪个社区
	 */
	@ApiModelProperty(value = "下发给哪个社区")
	private Long sssq;
	/**
	 * 任务类型
	 */
	@ApiModelProperty(value = "任务类型")
	private String rwlx;
	/**
	 * 指令
	 */
	@ApiModelProperty(value = "指令")
	private String zl;
	/**
	 * 备注
	 */
	@ApiModelProperty(value = "备注")
	private String bz;
	@TableField(exist = false)
	private String bjrdh;
	@TableField(exist = false)
	private String type;
}
