package org.springblade.modules.sjapp.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 实体类
 *
 * @author BladeX
 * @since 2023-01-10
 */
@Data
@TableName("ydjw_sj_app")
@ApiModel(value = "SjApp对象", description = "SjApp对象")
public class SjApp implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	@ApiModelProperty(value = "id")
	private Long id;
	/**
	 * 市局id
	 */
	@ApiModelProperty(value = "市局id")
	private String sjid;
	/**
	 * appid
	 */
	@ApiModelProperty(value = "appid")
	private String appid;
	private String wybs;

}
