package org.springblade.modules.sqjw.jwtdzrq.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.modules.sqjw.jwtdzrq.entity.JwtdZrqEntity;
import org.springblade.modules.sqjw.jwtdzrq.vo.JwtdZrqVO;
import org.springblade.modules.sqjw.jwtdzrq.excel.JwtdZrqExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.system.entity.User;

import java.util.List;
import java.util.Map;

/**
 * 警务团队-警务责任区 服务类
 *
 * @author BladeX
 * @since 2024-04-03
 */
public interface IJwtdZrqService extends BaseService<JwtdZrqEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param jwtdzrq
	 * @return
	 */
	IPage<JwtdZrqVO> selectJwtdZrqPage(IPage<JwtdZrqVO> page, JwtdZrqVO jwtdzrq);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<JwtdZrqExcel> exportJwtdZrq(Wrapper<JwtdZrqEntity> queryWrapper);

	List<JwtdZrqVO> selectJwtdZrqList(Map<String, String> params);

    List<User> getMjList(Long sssqbm);

    List<String> getDkfw(String deptId);
}
