package org.springblade.modules.sqjw.sydw.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.sqjw.sydw.pojo.entity.CyryEntity;
import org.springblade.modules.sqjw.sydw.pojo.entity.SydwEntity;
import org.springblade.modules.sqjw.sydw.pojo.vo.DwdzVO;
import org.springblade.modules.sqjw.sydw.pojo.vo.UserVO;

import java.util.List;
import java.util.Map;

public interface SydwService extends BaseService<SydwEntity> {

	IPage<SydwEntity> selectSydwPage(IPage<SydwEntity> page, Map<String, Object> params);

	SydwEntity sydwDetail(SydwEntity sydwEntity);

	List<CyryEntity> selectCyryByDzbm(String tyshxydm);

	CyryEntity cyryDetail(CyryEntity cyryEntity);

	List<DwdzVO> selectDwDz(String deptId, String dzbm);

	List<CyryEntity> selectCyrylsByDzbm(String tyshxydm);

	UserVO djxx(Long userId);

	List<SydwEntity> getMphxlhByLdphxlh(String ldphxlh);

	SydwEntity selectFwInfo(SydwEntity sydwEntity, String dzbm);

	Long selectParentIdByDeptId(String deptId);

	SydwEntity selectSydwByDzbm(String dzbm);

	void updateSydwzx(SydwEntity sydw, Long userId);

	void updateCyryzx(SydwEntity sydw, Long userId);

	SydwEntity getByDzbm(Map<String, Object> params);

	int countByHylb(Map<String, Object> params);
}
