package org.springblade.modules.sqmy.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * 每月安全负责人会议 Excel实体类
 *
 * @author wth
 * @since 2024-11-12
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class FzrhyInfoExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 会议主题
	 */
	@ColumnWidth(20)
	@ExcelProperty("会议主题")
	private String hyzt;
	/**
	 * 会议内容
	 */
	@ColumnWidth(20)
	@ExcelProperty("会议内容")
	private String hynr;
	/**
	 * 附件
	 */
	@ColumnWidth(20)
	@ExcelProperty("附件")
	private String fj;

}
