package org.springblade.modules.sqmy.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * 每周见面会_参会人员 Excel实体类
 *
 * @author wth
 * @since 2024-11-12
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class JmhRyExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("姓名")
	private String xm;
	/**
	 * 职务
	 */
	@ColumnWidth(20)
	@ExcelProperty("职务")
	private String zw;
	/**
	 * 联系电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("联系电话")
	private String lxdh;

}
