package org.springblade.modules.sqmy.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 每周见面会 实体类
 *
 * @author wth
 * @since 2024-11-12
 */
@Data
@TableName("sqmy.jmh_info")
@EqualsAndHashCode(callSuper = true)
public class JmhInfoEntity extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	 * 会议主题
	 */
	@ApiModelProperty(value = "会议主题")
	private String hyzt;
	/**
	 * 会议内容
	 */
	@ApiModelProperty(value = "会议内容")
	private String hynr;
	/**
	 * 附件
	 */
	@ApiModelProperty(value = "附件")
	private String fj;
	/**
	 * 所属社区编码
	 */
	@ApiModelProperty(value = "所属社区编码")
	private Long sssqBm;
	/**
	 * 会议时间
	 */
	@ApiModelProperty(value = "会议时间")
	private String hysj;
}
