package org.springblade.modules.sqmy.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 季度治安通报 实体类
 *
 * @author wth
 * @since 2024-11-12
 */
@Data
@TableName("sqmy.zatb_info")
@EqualsAndHashCode(callSuper = true)
public class ZatbInfoEntity extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	 * 通报标题
	 */
	@ApiModelProperty(value = "通报标题")
	private String tbbt;
	/**
	 * 报告情况
	 */
	@ApiModelProperty(value = "报告情况")
	private String bgqk;
	/**
	 * 居民意见
	 */
	@ApiModelProperty(value = "居民意见")
	private String jmyj;
	/**
	 * 附件
	 */
	@ApiModelProperty(value = "附件")
	private String fj;

}
