package org.springblade.modules.system.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * 考勤 Excel实体类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class DeptExcel implements Serializable {

	private static final long serialVersionUID = 1L;
	/**
	 * 分局名称
	 */
	/*@ColumnWidth(20)
	@ExcelProperty("分局名称")
	private String fjName;*/
	/**
	 * 机构名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("社区名称")
	private String deptName;
	/**
	 * 机构全称
	 */
	/*@ColumnWidth(20)
	@ExcelProperty("派出所名称")
	private String fullName;*/
	/**
	 * 上级机构
	 */
	@ColumnWidth(20)
	@ExcelProperty("派出所机关代码")
	private Long parentId;
	/**
	 * 机构类型
	 */
	/*@ColumnWidth(20)
	@ExcelProperty("机构类型 5=分局 6=派出所 7=社区")
	private Integer deptCategory;*/
	/**
	 * 排序
	 */
	/*@ColumnWidth(20)
	@ExcelProperty("排序")
	private Integer sort;*/
}
