package org.springblade.modules.temDuizhao.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 入户人员对照 实体类
 *
 * @author BladeX
 * @since 2024-04-30
 */
@Data
@TableName("rhzf_tem_duizhao")
@ApiModel(value = "TemDuizhao对象", description = "入户人员对照")
@EqualsAndHashCode(callSuper = true)
public class TemDuizhaoEntity extends BaseEntity {

	/**
	 * 源警号
	 */
	@ApiModelProperty(value = "源警号")
	private String sourceJh;
	/**
	 * 目标警号
	 */
	@ApiModelProperty(value = "目标警号")
	private String targetJh;

}
