package org.springblade.modules.userJwd.controller;

import lombok.AllArgsConstructor;
import org.springblade.core.boot.ctrl.BladeController;
import org.springblade.core.tool.api.R;
import org.springblade.modules.userJwd.entity.UserJwdEntity;
import org.springblade.modules.userJwd.service.UserJwdService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@AllArgsConstructor
@RequestMapping("userJwd")
public class UserJwdController extends BladeController {

	private final UserJwdService userJwdService;

	@PostMapping("/save")
	public R save(@RequestBody UserJwdEntity userJwd) {
		return R.status(userJwdService.save(userJwd));
	}
}
