package org.springblade.modules.wgr.check.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.wgr.check.entity.CheckEntity;

/**
 * 外国人检查 视图实体类
 *
 * @author BladeX
 * @since 2023-12-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CheckVO extends CheckEntity {
	private static final long serialVersionUID = 1L;
	// 英文姓名
	private String ywxm;
	// 性别
	private String xb;
	// 联系电话
	private String lxdh;
	// 证件种类
	private String zjzl;
	// 证件号码
	private String zjhm;
	// 国家地区
	private String gjdq;
	// 居住地地址
	private String jzddz;
}
