package org.springblade.modules.xpgxb.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.xpgxb.entity.XpgxbEntity;
import org.springblade.modules.xpgxb.excel.XpgxbExcel;

import java.util.List;
import java.util.Map;

/**
 * 下派关系表 服务类
 *
 * @author BladeX
 * @since 2023-07-09
 */
public interface IXpgxbService extends BaseService<XpgxbEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @return
	 */
	IPage<XpgxbEntity> selectXpgxbPage(IPage<XpgxbEntity> page, Map<String, Object> params);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<XpgxbExcel> exportXpgxb(Wrapper<XpgxbEntity> queryWrapper);

}
