package org.springblade.modules.yhyj.vo;

import lombok.Data;

import java.util.List;

/**
 * 消防检查——隐患移交三方 视图实体类
 *
 * @author BladeX
 * @since 2024-04-28
 */
@Data
public class InspectionVO {
	private static final long serialVersionUID = 1L;
	private String creditCode; // 社会统一信用代码
	private String otherPeople; // 派出所名称+上报人+联系电话
	private String inspectTime; // 检查时间
	private String sign; // 接口认证
	private long timestamp; // 时间戳
	private List<HiddenDangerFormVO> hiddenDangerFormList; // 隐患列表
}
