package org.springblade.common.controller.vo;

import lombok.Data;

/**
 * 公共接口实例
 */
@Data
public class ResponsePageVO {
	/**
	 * 每页大小，基于请求中每页大小
	 */
	private Integer pageSize = 10;
	/**
	 * 页码，基于请求中页码
	 */
	private Integer pageNo = 1;
	/**
	 * 总数，符合条件的数据总数，尽可能给出总数，如果没有则返回-1
	 */
	private Integer total = 100;
}
