package org.springblade.modules.appmenu.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.io.Serializable;


/**
 * 实体类
 *
 * @author BladeX
 * @since 2022-11-23
 */
@Data
@TableName("ydjw_file_base64")
@ApiModel(value = "FileBase64对象", description = "FileBase64对象")
public class FileBase64 implements Serializable {

	private static final long serialVersionUID = 1L;

	@TableId(value = "id", type = IdType.ASSIGN_ID)
	private Long id;

	private String fileName;
	private String fileBase64;


}
