package org.springblade.modules.cdglinfos.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.cdglinfos.entity.GlInfoEntity;
import org.springblade.modules.cdglinfos.vo.AppMenuVO;
import org.springblade.modules.cdglinfos.vo.GlInfoVO;
import org.springblade.modules.sqjw.sydw.pojo.vo.SydwMenuVO;

import java.util.List;

public interface GlInfoMapper  extends BaseMapper<GlInfoEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param glinfo
	 * @return
	 */
	List<GlInfoVO> selectGlInfoPage(IPage page, GlInfoVO glinfo);

	List<GlInfoEntity> getAppByUserRole(@Param("ancestors")String ancestors, @Param("userRole")String userRole, @Param("appName")String appName);

    List<SydwMenuVO> getSydwMenu(@Param("flag") String flag, @Param("appName") String appName);

	List<GlInfoEntity> getAppByUserRoleNew(String ancestors, String roleName, String appName, String dictKey);

	List<AppMenuVO> getDictValueList();
}

