package org.springblade.modules.csInfo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 场所 视图实体类
 *
 * @author BladeX
 * @since 2023-07-21
 */
@Data
public class CsInfoVO {
	private static final long serialVersionUID = 1L;
	/**
	 * 主键
	 */
	@ApiModelProperty(value = "主键")
	private Long id;
	/**
	 * 单位/场所名称
	 */
	@ApiModelProperty(value = "单位/场所名称")
	private String csmc;
	/**
	 * 法定代表人/主要负责人
	 */
	@ApiModelProperty(value = "法定代表人/主要负责人")
	private String fzr;
	/**
	 * 法定代表人/主要负责人电话
	 */
	@ApiModelProperty(value = "法定代表人/主要负责人")
	private String fzrDh;
	/**
	 * 地址
	 */
	@ApiModelProperty(value = "地址")
	private String dz;
	/**
	 * 单位类别
	 */
	@ApiModelProperty(value = "单位类别")
	private String dwlb;
	/**
	 * 使用的建筑面积(㎡)
	 */
	@ApiModelProperty(value = "使用的建筑面积(㎡)")
	private String jzmj;
	/**
	 * 使用的建筑具体层数
	 */
	@ApiModelProperty(value = "使用的建筑具体层数")
	private String jzcs;
	/**
	 * 所在建筑高度(m)
	 */
	@ApiModelProperty(value = "所在建筑高度(m)")
	private String gd;

	private String deptName; // 检查此场所的人员属于哪个部门

	private Long ssfjBm;

	private Long sspcsBm;

	private Long sssqBm;

	private String time;

	private int zgzt; // 整改状态 0=不需要整改 1=现场整改 2=限期整改

	private Integer yjzt; // 移交状态

	private String dwxl;
	private String zczb;
	private String clrq;
	private String jyqx;
	private String jyfw;
	private String djjg;
	private String djrq;
	private String fwlx;
	private String cjsj;
	private String cjdw;
	private String cjr;
	private String zgqx;
	private String xffzr;
	private String xffzrsfzh;
	private String xffzrlxdh;
	private String ssfjName;
	private String sspcsName;
	private String sssqName;
	private String sssjName;
	private Long createUser;
	private String createName;
	private String createTime;
	private String jczt;
	private Long jgId;
	private String jgMc;
	private String tyxydm;
	private Long ldphxlh;
	private Integer yyzt;
	private String yyztName;
	private String sqjcwhmc;
	private String jlxxqzdzrcmc;
	private String mlph;
	private String ldph;
	private String sfkh;
}
