package org.springblade.modules.dateConf.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * DateConf 实体类
 *
 * @author BladeX
 * @since 2023-10-08
 */
@Data
@TableName("sign_date_conf")
@ApiModel(value = "DateConf对象", description = "DateConf")
@EqualsAndHashCode(callSuper = true)
public class DateConfEntity extends BaseEntity {

	/**
	 * 日期
	 */
	@ApiModelProperty(value = "日期")
	private String rq;
	/**
	 * 日期类型 1=上班日 2=休息日
	 */
	@ApiModelProperty(value = "日期类型 上班日/休息日")
	private String rqType;
}
