package org.springblade.modules.gzInfo.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * gz_info 视图实体类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Data
public class InfoVO {
	private static final long serialVersionUID = 1L;
	/**
	 * 主键id
	 */
	@ApiModelProperty(value = "主键id")
	private Long id;
	/**
	 * 工作类别
	 */
	@ApiModelProperty(value = "工作类别")
	private String lb;
	/**
	 * 项目
	 */
	@ApiModelProperty(value = "项目")
	private String xm;
	/**
	 * 评分项
	 */
	@ApiModelProperty(value = "评分项")
	private String pfx;
	/**
	 * 工作内容
	 */
	@ApiModelProperty(value = "工作内容")
	private String gznr;
	/**
	 * 姓名
	 */
	@ApiModelProperty(value = "姓名")
	private String realName;
	/**
	 * 时间
	 */
	@ApiModelProperty(value = "时间")
	private String createTime;
	/**
	 * 照片
	 */
	@ApiModelProperty(value = "照片")
	private String zp0;
	/**
	 * 照片
	 */
	@ApiModelProperty(value = "照片2")
	private String zp1;
	/**
	 * 照片
	 */
	@ApiModelProperty(value = "照片3")
	private String zp2;
	/**
	 * 照片
	 */
	@ApiModelProperty(value = "照片4")
	private String zp3;
}
