package org.springblade.modules.jgInfo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 警格 实体类
 *
 * @author BladeX
 * @since 2023-11-06
 */
@Data
@TableName("jg_info")
@ApiModel(value = "jgInfo对象", description = "警格")
@EqualsAndHashCode(callSuper = true)
public class JgInfoEntity extends BaseEntity {

	/**
	 * 警格名称
	 */
	@ApiModelProperty(value = "警格名称")
	private String jgMc;
	/**
	 * 社区id
	 */
	@ApiModelProperty(value = "社区id")
	private Long sqId;
	/**
	 * 社区名称
	 */
	@ApiModelProperty(value = "社区名称")
	private String sqMc;
	/**
	 * 派出所id
	 */
	@ApiModelProperty(value = "派出所id")
	private Long pcsId;
	/**
	 * 派出所名称
	 */
	@ApiModelProperty(value = "派出所名称")
	private String pcsMc;
	/**
	 * 分局id
	 */
	@ApiModelProperty(value = "分局id")
	private Long fjId;
	/**
	 * 分局名称
	 */
	@ApiModelProperty(value = "分局名称")
	private String fjMc;
	/**
	 * 警员id
	 */
	@ApiModelProperty(value = "警员id")
	private Long jyId;
	/**
	 * 警员名称
	 */
	@ApiModelProperty(value = "警员名称")
	private String jyMc;
	/**
	 * 警员角色
	 */
	@ApiModelProperty(value = "警员角色")
	private String jyRoleName;
}
