package org.springblade.modules.jjdb.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.jjdb.entity.JjdbEntity;
import org.springblade.modules.jjdb.vo.JjdbVO;
import org.springblade.modules.system.vo.SqVO;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

/**
 * 接警处置 服务类
 *
 * @author ldx
 * @since 2023-09-08
 */
public interface IJjdbService extends BaseService<JjdbEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @return
	 */
	IPage<JjdbVO> selectJjdbPage(IPage<JjdbVO> page, Map<String, Object> params);

	/**
	 * 处置
	 * @param jjdb
	 */
	void czJjdb(JjdbEntity jjdb) throws ParseException;

	/**
	 * 详情
	 *
	 * @return
	 */
	JjdbEntity getDetail(String sjdbh);

	List<SqVO> getSq(Map<String, Object> params);
}
