package org.springblade.modules.ldInfo.vo;

import lombok.Data;

/**
 * 楼栋 视图实体类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Data
public class LdInfoVO {
	private static final long serialVersionUID = 1L;
	/**
	 * 主键
	 */
	private Long id;
	/**
	 * 名称
	 */
	private String bName;
	/**
	 * 单元
	 */
	private String unit;
	/**
	 * 所属社区名称
	 */
	private String sqmc;
	/**
	 * 所属社区id
	 */
	private Long sqId;
	/**
	 * 楼栋长名字
	 */
	private String realName;
	/**
	 * 楼栋长身份证号
	 */
	private String certNum;
	/**
	 * 所属部门名称
	 */
	private String ssOrgName;
	/**
	 * 所属部门id
	 */
	private Long ssOrgId;
	/**
	 * 楼栋经度
	 */
	private String ldJd;
	/**
	 * 楼栋纬度
	 */
	private String ldWd;
}
