/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.log.rhzfZzrk.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.log.rhzfZzrk.entity.RhzfZzrkEntity;
import org.springblade.modules.log.rhzfZzrk.vo.RhzfZzrkVO;
import java.util.Objects;

/**
 * 入户走访_人员_暂住人口 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-03-15
 */
public class RhzfZzrkWrapper extends BaseEntityWrapper<RhzfZzrkEntity, RhzfZzrkVO>  {

	public static RhzfZzrkWrapper build() {
		return new RhzfZzrkWrapper();
 	}

	@Override
	public RhzfZzrkVO entityVO(RhzfZzrkEntity rhzfZzrk) {
		RhzfZzrkVO rhzfZzrkVO = Objects.requireNonNull(BeanUtil.copy(rhzfZzrk, RhzfZzrkVO.class));

		//User createUser = UserCache.getUser(rhzfZzrk.getCreateUser());
		//User updateUser = UserCache.getUser(rhzfZzrk.getUpdateUser());
		//rhzfZzrkVO.setCreateUserName(createUser.getName());
		//rhzfZzrkVO.setUpdateUserName(updateUser.getName());

		return rhzfZzrkVO;
	}


}
