package org.springblade.modules.log.sjSp.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.log.sjSp.entity.SjSpEntity;

/**
 * 数据审批 视图实体类
 *
 * @author BladeX
 * @since 2024-04-16
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SjSpVO extends SjSpEntity {
	private static final long serialVersionUID = 1L;
	private String name; // 民警姓名
	private String pcsName; // 派出所名称
	private Long csId; // 场所id
	private String csmc; // 场所名称
	private int yyzt; // 营业状态
	private Long mdId; // 矛盾id
	private String jfmc; // 纠纷名称
	private String sprName; // 审批人姓名
}
