package org.springblade.modules.mdjfJq.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 矛盾纠纷-警情 关联表 实体类
 *
 * @author BladeX
 * @since 2024-05-24
 */
@Data
@TableName("mdjf_jq")
@ApiModel(value = "mdjfJq对象", description = "矛盾纠纷-警情 关联表")
@EqualsAndHashCode(callSuper = true)
public class MdjfJqEntity extends BaseEntity {

	/**
	 * 接警单编号
	 */
	@ApiModelProperty(value = "接警单编号")
	private String jjdbh;

}
