/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.mdjfdj.service;


import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.mdjfdj.entity.JdrhApptj;
import org.springblade.modules.mdjfdj.mapper.JdrhApptjMapper;
import org.springframework.stereotype.Service;


import java.util.List;


/**
 * apptj 服务实现类
 *
 * @author BladeX
 * @since 2023-08-02
 */
@Service
public class JdrhApptjServiceImpl extends BaseServiceImpl<JdrhApptjMapper, JdrhApptj> implements IJdrhApptjService {


	@Override
	public List<JdrhApptj> getAppTj() {
		return baseMapper.getAppTj();
	}

	@Override
	public List<JdrhApptj> get2DaysAgoTj(Long bmid) {
		return baseMapper.get2DaysAgoTj(bmid);
	}

}
