package org.springblade.modules.mdjftj.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.mdjftj.entity.MdjfTjEntity;
import org.springblade.modules.mdjftj.excel.MdjfTjExcel;
import org.springblade.modules.mdjftj.vo.MdjfTjVO;
import org.springblade.modules.system.entity.Dept;

import java.util.List;
import java.util.Map;

/**
 * 矛盾纠纷调解表 服务类
 *
 * @author BladeX
 * @since 2023-08-02
 */
public interface IMdjfTjService extends BaseService<MdjfTjEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @return
	 */
	IPage<MdjfTjVO> selectmdjfTjPage(IPage<MdjfTjVO> page, Map<String, Object> params);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<MdjfTjExcel> exportmdjfTj(Wrapper<MdjfTjEntity> queryWrapper);

    Dept selectZf(String deptId);

	void saveMdjfTjJl(MdjfTjEntity mdjfTj);
}
