package org.springblade.modules.pfInfo.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.modules.pfInfo.entity.PfInfoEntity;
import org.springblade.modules.pfInfo.vo.PfInfoVO;
import org.springblade.modules.pfInfo.excel.PfInfoExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * 手动打分 服务类
 *
 * @author BladeX
 * @since 2023-07-13
 */
public interface PfInfoService extends BaseService<PfInfoEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @return
	 */
	IPage<PfInfoVO> selectInfoPage(IPage<PfInfoVO> page, Map<String, Object> params);


	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<PfInfoExcel> exportInfo(Wrapper<PfInfoEntity> queryWrapper);

    int getDzbhdCs(Map<String, Object> params);

	IPage<PfInfoVO> pageApp(IPage<PfInfoVO> page, Map<String, Object> params);
}
