package org.springblade.modules.rhzf.aqxcff.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 入户走访_安全宣传防范 实体类
 *
 * @author wth
 * @since 2024-11-14
 */
@Data
@TableName("jdrh.rhzf_aqxcff")
@EqualsAndHashCode(callSuper = true)
public class RhzfAqxcffEntity extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	 * 关联rhzf_fw_info表id
	 */
	@ApiModelProperty(value = "关联rhzf_fw_info表id")
	private Long fwId;
	/**
	 * 地址编码
	 */
	@ApiModelProperty(value = "地址编码")
	private String dzbm;
	/**
	 * 宣传内容
	 */
	@ApiModelProperty(value = "宣传内容")
	private String xcnr;
	/**
	 * 附件
	 */
	@ApiModelProperty(value = "附件")
	private String fj;

}
