package org.springblade.modules.rhzf.aqxcff.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.rhzf.aqxcff.pojo.entity.RhzfAqxcffEntity;
import org.springblade.modules.rhzf.aqxcff.pojo.vo.RhzfAqxcffVO;

import java.util.Objects;

/**
 * 入户走访_安全宣传防范 包装类,返回视图层所需的字段
 *
 * @author wth
 * @since 2024-11-14
 */
public class RhzfAqxcffWrapper extends BaseEntityWrapper<RhzfAqxcffEntity, RhzfAqxcffVO> {

	public static RhzfAqxcffWrapper build() {
		return new RhzfAqxcffWrapper();
	}

	@Override
	public RhzfAqxcffVO entityVO(RhzfAqxcffEntity rhzfAqxcff) {
		RhzfAqxcffVO rhzfAqxcffVO = Objects.requireNonNull(BeanUtil.copyProperties(rhzfAqxcff, RhzfAqxcffVO.class));

		//User createUser = UserCache.getUser(rhzfAqxcff.getCreateUser());
		//User updateUser = UserCache.getUser(rhzfAqxcff.getUpdateUser());
		//rhzfAqxcffVO.setCreateUserName(createUser.getName());
		//rhzfAqxcffVO.setUpdateUserName(updateUser.getName());

		return rhzfAqxcffVO;
	}

}
