package org.springblade.modules.rhzf.fwFz.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 入户走访_房屋_房主 实体类
 *
 * @author BladeX
 * @since 2023-12-15
 */
@Data
@TableName("rhzf_fw_fz")
@ApiModel(value = "FwFz对象", description = "入户走访_房屋_房主")
@EqualsAndHashCode(callSuper = true)
public class FwFzEntity extends BaseEntity {

	/**
	 * rhzf_fw_info表id
	 */
	@ApiModelProperty(value = "rhzf_fw_info表id")
	private Long fwId;
	/**
	 * 房主类型 0自然人 1组织
	 */
	@ApiModelProperty(value = "房主类型 0自然人 1组织")
	private Integer type;
	/**
	 * 房主信息_姓名
	 */
	@ApiModelProperty(value = "房主信息_姓名")
	private String fzXm;
	/**
	 * 房主信息_身份证号
	 */
	@ApiModelProperty(value = "房主信息_身份证号")
	private String fzSfzh;
	/**
	 * 房主信息_联系电话
	 */
	@ApiModelProperty(value = "房主信息_联系电话")
	private String fzDh;
	/**
	 * 房主信息_工作单位
	 */
	@ApiModelProperty(value = "房主信息_工作单位")
	private String fzDw;
	/**
	 * 房主信息_现居住地址
	 */
	@ApiModelProperty(value = "房主信息_现居住地址")
	private String fzJzd;
	/**
	 * 是否在此居住 0否1是
	 */
	@ApiModelProperty(value = "是否在此居住 0否1是")
	private Integer sfzcjz;
	/**
	 * 微信
	 */
	@ApiModelProperty(value = "微信")
	private String vx;
	/**
	 * 户籍地址
	 */
	@ApiModelProperty(value = "户籍地址")
	private String hjdz;
	/**
	 * 特殊情况说明
	 */
	@ApiModelProperty(value = "特殊情况说明")
	private String tsqk;
	/**
	 * 辅警对应的民警id
	 */
	@ApiModelProperty(value = "辅警对应的民警id")
	private Long mjId;
	/**
	 * 证件种类
	 */
	@ApiModelProperty(value = "证件种类")
	private String zjzl;
	@TableField(exist = false)
	private Long fzid;
}
