package org.springblade.modules.rhzf.fwInfo.vo;

import lombok.Data;

import java.util.Date;

/**
 * 入户走访_房屋_基本信息 视图实体类
 *
 * @author BladeX
 * @since 2023-11-14
 */
@Data
public class SyjzryVO {
	private static final long serialVersionUID = 1L;
	/**
	 * 人员_id
	 */
	private Long id;
	/**
	 * 房屋_id
	 */
	private Long fwId;
	/**
	 * 地址编码
	 */
	private String dzbm;
	/**
	 * 人员照片
	 */
	private String zp;
	/**
	 * 人员基本信息序列号
	 */
	private String ryjbxxxlh;
	/**
	 * 人员_类别
	 */
	private String ryType;
	/**
	 * 人员_姓名
	 */
	private String ryXm;
	/**
	 * 人员_身份证号
	 */
	private String rySfzh;
	/**
	 * 人员_与房主关系
	 */
	private String ryHzgx;
	/**
	 * 人员_婚姻状况
	 */
	private String ryHyzk;
	/**
	 * 人员_文化程度
	 */
	private String ryWhcd;
	/**
	 * 人员_政治面貌
	 */
	private String ryZzmm;
	/**
	 * 人员_兵役状况
	 */
	private String ryByzk;
	/**
	 * 人员_联系电话
	 */
	private String ryDh;
	/**
	 * 未落常口_类别
	 */
	private String ryLb;
	/**
	 * 未落常口_性别
	 */
	private String ryXb;
	/**
	 * 未落常口_民族
	 */
	private String ryMz;
	/**
	 * 未落常口_出生日期
	 */
	private String ryCsrq;
	/**
	 * 暂住人员_暂住时间
	 */
	private String ryZzsj;
	/**
	 * 暂住人员_暂住事由
	 */
	private String ryZzsy;
	/**
	 * 暂住人员_来本地日期
	 */
	private String ryLbdrq;
	/**
	 * 暂住人员_户籍地类别
	 */
	private String ryHjdlb;
	/**
	 * 暂住人员_暂住地类别
	 */
	private String ryZzdlb;
	/**
	 * 境外人员_英文姓
	 */
	private String ryXs;
	/**
	 * 境外人员_英文名
	 */
	private String ryYwm;
	/**
	 * 境外人员_国家地区
	 */
	private String ryGjdq;
	/**
	 * 境外人员_服务处所
	 */
	private String ryFwcs;
	/**
	 * 境外人员_服务处所地址
	 */
	private String ryCsdz;
	/**
	 * 境外人员_证件类别
	 */
	private String ryZjlb;
	/**
	 * 境外人员_证件号码
	 */
	private String ryZjhm;
	/**
	 * 境外人员_证件有效起始日期
	 */
	private String ryZjqsrq;
	/**
	 * 境外人员_证件有效截至日期
	 */
	private String ryZjjzrq;
	/**
	 * 境外人员_签证类别
	 */
	private String ryQzlb;
	/**
	 * 境外人员_签证号码
	 */
	private String ryQzhm;
	/**
	 * 境外人员_来华停居留事由
	 */
	private String ryLhsy;
	/**
	 * 境外人员_入住日期
	 */
	private String ryRzrq;
	/**
	 * 境外人员_拟离开日期
	 */
	private String ryLkrq;
	/**
	 * 人员_特殊人群_类别
	 */
	private String ryTsLb;
	/**
	 * 人员_特殊人群_具体情况
	 */
	private String ryTsJtqk;
	/**
	 * 单位_名称
	 */
	private String dwMc;
	/**
	 * 单位_管理类别
	 */
	private String dwLb;
	/**
	 * 单位_地址
	 */
	private String dwDz;
	/**
	 * 单位_详址
	 */
	private String dwXz;
	/**
	 * 微信
	 */
	private String vx;
	/**
	 * 人户一致 0=一致 1=不一致
	 */
	private int rhyz;
	private String  rhyzValue;
	/**
	 * 婚姻状况_代码
	 */
	private String ryHyzkDm;
	/**
	 * 文化程度_代码
	 */
	private String ryWhcdDm;
	/**
	 * 政治面貌_代码
	 */
	private String ryZzmmDm;
	/**
	 * 兵役状况_代码
	 */
	private String ryByzkDm;
	/**
	 * 宗教信仰_代码
	 */
	private String zjxyDm;
	/**
	 * 民族_代码
	 */
	private String ryMzDm;
	/**
	 * 户籍地址
	 */
	private String hjdz;
	/**
	 * 宗教信仰
	 */
	private String zjxy;
	/**
	 * 备注
	 */
	private String bz;
	/**
	 * 辅警对应的民警id
	 */
	private Long mjId;
	/**
	 * 是否删除 0=是 1=否
	 */
	/**
	 * 注销原因
	 */
	private String zxyy;
	/**
	 * 注销日期
	 */
	private String zxrq;
	/**
	 * 补充原因
	 */
	private String bcyy;
	/**
	 * 补充日期
	 */
	private String bcrq;
	/**
	 * 去往地址省市县(区)
	 */
	private String qwdzssxq;
	/**
	 * 去往地址详址
	 */
	private String qwdzxz;
	private int isDeleted;
	private Long createUser;
	private String createUserName;
	private Long createDept;
	private Date createTime;
	private Long updateUser;
	private String updateUserName;
	private Date updateTime;
	private Long sssjName;
	private Long ssfjName;
	private Long sspcsName;
	private Long sssqName;
	private String deptId;
	private String dzXz;
}
