package org.springblade.modules.rhzf.fwqz.pojo.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.core.mp.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.EqualsAndHashCode;

/**
 * 入户走访_服务群众 实体类
 *
 * @author BladeX
 * @since 2024-10-31
 */
@Data
@TableName("jdrh.rhzf_fwqz")
@EqualsAndHashCode(callSuper = true)
public class RhzfFwqzEntity extends BaseEntity {

	/**
	 * 关联rhzf_fw_info表id
	 */
	@ApiModelProperty(value = "关联rhzf_fw_info表id")
	private Long fwId;
	/**
	 * 地址编码
	 */
	@ApiModelProperty(value = "地址编码")
	private String dzbm;
	/**
	 * 服务类型
	 */
	@ApiModelProperty(value = "服务类型")
	private String fwlx;
	/**
	 * 委托人/办理人 姓名
	 */
	@ApiModelProperty(value = "委托人/办理人 姓名")
	private String xm;
	/**
	 * 委托人/办理人 身份证号
	 */
	@ApiModelProperty(value = "委托人/办理人 身份证号")
	private String sfzh;
	/**
	 * 委托人/办理人 联系电话
	 */
	@ApiModelProperty(value = "委托人/办理人 联系电话")
	private String lxdh;
	/**
	 * 办理业务
	 */
	@ApiModelProperty(value = "办理业务")
	private String blyw;
	/**
	 * 受委托人姓名
	 */
	@ApiModelProperty(value = "受委托人姓名")
	private String swtrxm;
	/**
	 * 受委托人身份证号
	 */
	@ApiModelProperty(value = "受委托人身份证号")
	private String swtrsfzh;
	/**
	 * 附件
	 */
	@ApiModelProperty(value = "附件")
	private String fj;
	/**
	 * 上门原因
	 */
	@ApiModelProperty(value = "上门原因")
	private String smyy;
	/**
	 * 预约地点
	 */
	@ApiModelProperty(value = "预约地点")
	private String yydd;
	/**
	 * 预约时间
	 */
	@ApiModelProperty(value = "预约时间")
	private String yysj;

}
