package org.springblade.modules.rhzf.fwqz.service.impl;

import org.springblade.modules.rhzf.fwqz.excel.RhzfFwqzExcel;
import org.springblade.modules.rhzf.fwqz.mapper.RhzfFwqzMapper;
import org.springblade.modules.rhzf.fwqz.pojo.entity.RhzfFwqzEntity;
import org.springblade.modules.rhzf.fwqz.pojo.vo.RhzfFwqzVO;
import org.springblade.modules.rhzf.fwqz.service.IRhzfFwqzService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;

import java.util.Collections;
import java.util.List;
import java.util.Map;

/**
 * 入户走访_服务群众 服务实现类
 *
 * @author BladeX
 * @since 2024-10-31
 */
@Service
public class RhzfFwqzServiceImpl extends BaseServiceImpl<RhzfFwqzMapper, RhzfFwqzEntity> implements IRhzfFwqzService {

	@Override
	public IPage<RhzfFwqzVO> selectRhzfFwqzPage(IPage<RhzfFwqzVO> page, Map<String, Object> params) {
		return page.setRecords(baseMapper.selectRhzfFwqzPage(page, params));
	}

	@Override
	public List<RhzfFwqzExcel> exportRhzfFwqz(Wrapper<RhzfFwqzEntity> queryWrapper) {
		List<RhzfFwqzExcel> rhzfFwqzList = baseMapper.exportRhzfFwqz(queryWrapper);
		//rhzfFwqzList.forEach(rhzfFwqz -> {
		//	rhzfFwqz.setTypeName(DictCache.getValue(DictEnum.YES_NO, RhzfFwqzEntity.getType()));
		//});
		return rhzfFwqzList;
	}

	@Override
	public List<RhzfFwqzEntity> getByDzbm(Map<String, Object> params) {
		return baseMapper.getByDzbm(params);
	}

}
