package org.springblade.modules.rhzf.fwqz.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.rhzf.fwqz.pojo.entity.RhzfFwqzEntity;
import org.springblade.modules.rhzf.fwqz.pojo.vo.RhzfFwqzVO;

import java.util.Objects;

/**
 * 入户走访_服务群众 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-10-31
 */
public class RhzfFwqzWrapper extends BaseEntityWrapper<RhzfFwqzEntity, RhzfFwqzVO>  {

	public static RhzfFwqzWrapper build() {
		return new RhzfFwqzWrapper();
 	}

	@Override
	public RhzfFwqzVO entityVO(RhzfFwqzEntity rhzfFwqz) {
		RhzfFwqzVO rhzfFwqzVO = Objects.requireNonNull(BeanUtil.copyProperties(rhzfFwqz, RhzfFwqzVO.class));

		//User createUser = UserCache.getUser(rhzfFwqz.getCreateUser());
		//User updateUser = UserCache.getUser(rhzfFwqz.getUpdateUser());
		//rhzfFwqzVO.setCreateUserName(createUser.getName());
		//rhzfFwqzVO.setUpdateUserName(updateUser.getName());

		return rhzfFwqzVO;
	}

}
