package org.springblade.modules.rhzf.gzyj.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.rhzf.gzyj.excel.RhzfGzyjExcel;
import org.springblade.modules.rhzf.gzyj.mapper.RhzfGzyjMapper;
import org.springblade.modules.rhzf.gzyj.pojo.entity.RhzfGzyjEntity;
import org.springblade.modules.rhzf.gzyj.pojo.vo.RhzfGzyjVO;
import org.springblade.modules.rhzf.gzyj.service.IRhzfGzyjService;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;
import java.util.Map;

/**
 * 入户走访_意见征集 服务实现类
 *
 * @author wth
 * @since 2024-11-14
 */
@Service
public class RhzfGzyjServiceImpl extends BaseServiceImpl<RhzfGzyjMapper, RhzfGzyjEntity> implements IRhzfGzyjService {

	@Override
	public IPage<RhzfGzyjVO> selectRhzfGzyjPage(IPage<RhzfGzyjVO> page, RhzfGzyjVO rhzfGzyj) {
		return page.setRecords(baseMapper.selectRhzfGzyjPage(page, rhzfGzyj));
	}

	@Override
	public List<RhzfGzyjExcel> exportRhzfGzyj(Wrapper<RhzfGzyjEntity> queryWrapper) {
		List<RhzfGzyjExcel> rhzfGzyjList = baseMapper.exportRhzfGzyj(queryWrapper);
		//rhzfGzyjList.forEach(rhzfGzyj -> {
		//	rhzfGzyj.setTypeName(DictCache.getValue(DictEnum.YES_NO, RhzfGzyjEntity.getType()));
		//});
		return rhzfGzyjList;
	}

	@Override
	public List<RhzfGzyjEntity> getByDzbm(Map<String, Object> params) {
		return baseMapper.getByDzbm(params);
	}

}
