package org.springblade.modules.rhzf.wtfy.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 入户走访_问题反映 实体类
 *
 * @author wth
 * @since 2024-11-14
 */
@Data
@TableName("jdrh.rhzf_wtfy")
@EqualsAndHashCode(callSuper = true)
public class RhzfWtfyEntity extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	 * 关联rhzf_fw_info表id
	 */
	@ApiModelProperty(value = "关联rhzf_fw_info表id")
	private Long fwId;
	/**
	 * 地址编码
	 */
	@ApiModelProperty(value = "地址编码")
	private String dzbm;
	/**
	 * 问题反映
	 */
	@ApiModelProperty(value = "问题反映")
	private String wtfy;
	/**
	 * 问题反映附件
	 */
	@ApiModelProperty(value = "问题反映附件")
	private String wtfyFj;

}
