package org.springblade.modules.rwxffkb.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.modules.rwxffkb.entity.RwxffkbEntity;
import org.springblade.modules.rwxffkb.vo.RwxffkbVO;
import org.springblade.modules.rwxffkb.excel.RwxffkbExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * 任务下发反馈 服务类
 *
 * @author ldx
 * @since 2023-09-13
 */
public interface IRwxffkbService extends BaseService<RwxffkbEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @return
	 */
	IPage<RwxffkbVO> selectRwxffkbPage(IPage<RwxffkbVO> page, Map<String, Object> params);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<RwxffkbExcel> exportRwxffkb(Wrapper<RwxffkbEntity> queryWrapper);

    int getRwNum(Map<String, Object> params);

	void updateByIdJl(RwxffkbEntity rwxffkb);
}
