package org.springblade.modules.sign.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class SignExceptionExcel implements Serializable {

	private static final long serialVersionUID = 1L;

	@ColumnWidth(20)
	@ExcelProperty("id")
	private Long id;

	@ExcelProperty("分局名称")
	private String fjMc;

	@ExcelProperty("派出所名称")
	private String pcsMc;

	@ExcelProperty("社区名称")
	private String sqMc;

	@ExcelProperty("姓名")
	private String name;

	@ExcelProperty("角色名称")
	private String roleName;

	@ExcelProperty("打卡时间")
	private String createTime;

	@ExcelProperty("打卡类型 上班/下班")
	private String type;

}
