package org.springblade.modules.sign.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 考勤 视图实体类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Data
public class SignVO {
	private static final long serialVersionUID = 1L;
	/**
	 * id
	 */
	@ApiModelProperty(value = "id")
	private Long id;
	/**
	 * 签到人姓名
	 */
	@ApiModelProperty(value = "签到人姓名")
	private String realName;
	/**
	 * 签到时间
	 */
	@ApiModelProperty(value = "签到时间")
	private String createTime;
	/**
	 * 签到经度
	 */
	@ApiModelProperty(value = "签到经度")
	private String qdJd;
	/**
	 * 签到纬度
	 */
	@ApiModelProperty(value = "签到纬度")
	private String qdWd;
	/**
	 * 签到地址名称
	 */
	@ApiModelProperty(value = "签到地址名称")
	private String qddzMc;
	/**
	 * 1=上班 2=下班
	 */
	@ApiModelProperty(value = "1=上班 2=下班")
	private Integer type;
	/**
	 * 签到日期
	 */
	@ApiModelProperty(value = "签到日期")
	private String rq;
	/**
	 * 签到时间
	 */
	@ApiModelProperty(value = "签到时间")
	private String qdTime;
	@TableField(exist = false)
	private List<String> children;
	@TableField(exist = false)
	private Long userId;
	@TableField(exist = false)
	private String Mathvalue;
	@TableField(exist = false)
	private String roleName;
}
