package org.springblade.modules.sqjw.pcsInfo.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.sqjw.pcsInfo.entity.PcsInfoEntity;

/**
 * dzxx 视图实体类
 *
 * @author BladeX
 * @since 2024-01-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class DzxxVO extends PcsInfoEntity {
	private static final long serialVersionUID = 1L;

	private String dzbm; // 地址编码
	private String pcsdm; // 派出所代码
	private String pcsjgmc; // 派出所名称
	private String xzmc; // 乡镇名称
	private String ctmc; // 村屯名称
	private String jlxmc; // 街路巷名称
	private String mlph; // 门（楼）牌号
	private String mlxz; // 门（楼）详址
	private String jwqmc; // 警务区名称
}
