package org.springblade.modules.sqjw.pcsInfo.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.sqjw.pcsInfo.entity.PcsInfoEntity;

/**
 * 派出所信息表 视图实体类
 *
 * @author BladeX
 * @since 2024-01-08
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PcsInfoVO extends PcsInfoEntity {
	private static final long serialVersionUID = 1L;
	private Long deptId;
	private String deptName; // 机关简称
	private String fullName; // 公安机关名称
}
