package org.springblade.modules.sqmy.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 每周见面会_参会人员 实体类
 *
 * @author wth
 * @since 2024-11-12
 */
@Data
@TableName("sqmy.fzrhy_ry")
@EqualsAndHashCode(callSuper = true)
public class FzrhyRyEntity extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	 * 姓名
	 */
	@ApiModelProperty(value = "姓名")
	private String xm;
	/**
	 * 单位
	 */
	@ApiModelProperty(value = "单位")
	private String dw;
	/**
	 * 联系电话
	 */
	@ApiModelProperty(value = "联系电话")
	private String lxdh;
	/**
	 * fzrhy_info表id
	 */
	@ApiModelProperty(value = "fzrhy_info表id")
	private Long fzrhyId;
}
