package org.springblade.modules.sqmy.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 社情民意 实体类
 *
 * @author wth
 * @since 2024-11-12
 */
@Data
@TableName("sqmy.sqmy_info")
@EqualsAndHashCode(callSuper = true)
public class SqmyInfoEntity extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	 * 线索类型
	 */
	@ApiModelProperty(value = "线索类型")
	private String xslx;
	/**
	 * 发现时间
	 */
	@ApiModelProperty(value = "发现时间")
	private String fxsj;
	/**
	 * 发现地点
	 */
	@ApiModelProperty(value = "发现地点")
	private String fxdd;
	/**
	 * 线索内容
	 */
	@ApiModelProperty(value = "线索内容")
	private String xsnr;
	/**
	 * 附件
	 */
	@ApiModelProperty(value = "附件")
	private String fj;

}
