package org.springblade.modules.sqmy.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 社情民意_线索提供人 实体类
 *
 * @author wth
 * @since 2024-11-12
 */
@Data
@TableName("sqmy.sqmy_ry")
@EqualsAndHashCode(callSuper = true)
public class SqmyRyEntity extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	 * 姓名
	 */
	@ApiModelProperty(value = "姓名")
	private String xm;
	/**
	 * 公民身份号码
	 */
	@ApiModelProperty(value = "公民身份号码")
	private String gmsfhm;
	/**
	 * 联系电话
	 */
	@ApiModelProperty(value = "联系电话")
	private String lxdh;
	/**
	 * 现居住地详址
	 */
	@ApiModelProperty(value = "现居住地详址")
	private String xjzdxz;
	/**
	 * sqmy_info表id
	 */
	@ApiModelProperty(value = "sqmy_info表id")
	private Long sqmyId;
	/**
	 * 民族
	 */
	@ApiModelProperty(value = "民族")
	private String mz;
}
