package org.springblade.modules.sqmy.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import org.springblade.modules.sqmy.excel.JmhRyExcel;
import org.springblade.modules.sqmy.pojo.entity.JmhRyEntity;
import org.springblade.modules.sqmy.pojo.vo.JmhRyVO;

import java.util.List;

/**
 * 每周见面会_参会人员 服务类
 *
 * @author wth
 * @since 2024-11-12
 */
public interface IJmhRyService extends BaseService<JmhRyEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param jmhRy 查询参数
	 * @return IPage<JmhRyVO>
	 */
	IPage<JmhRyVO> selectJmhRyPage(IPage<JmhRyVO> page, JmhRyVO jmhRy);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<JmhRyExcel>
	 */
	List<JmhRyExcel> exportJmhRy(Wrapper<JmhRyEntity> queryWrapper);

}
