package org.springblade.modules.sqmy.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.sqmy.excel.FzrhyInfoExcel;
import org.springblade.modules.sqmy.mapper.FzrhyInfoMapper;
import org.springblade.modules.sqmy.mapper.FzrhyRyMapper;
import org.springblade.modules.sqmy.pojo.entity.FzrhyInfoEntity;
import org.springblade.modules.sqmy.pojo.entity.FzrhyRyEntity;
import org.springblade.modules.sqmy.pojo.vo.FzrhyInfoVO;
import org.springblade.modules.sqmy.service.IFzrhyInfoService;
import org.springblade.modules.sqmy.service.IFzrhyRyService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 每月安全负责人会议 服务实现类
 *
 * @author wth
 * @since 2024-11-12
 */
@Service
public class FzrhyRyServiceImpl extends BaseServiceImpl<FzrhyRyMapper, FzrhyRyEntity> implements IFzrhyRyService {

	@Override
	public IPage<FzrhyRyEntity> selectFzrhyRyPage(IPage<FzrhyRyEntity> page, Map<String, Object> params) {
		return page.setRecords(baseMapper.selectFzrhyRyPage(page, params));
	}
}
