package org.springblade.modules.sqmy.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springblade.modules.sqmy.excel.JmhRyExcel;
import org.springblade.modules.sqmy.mapper.JmhRyMapper;
import org.springblade.modules.sqmy.pojo.entity.JmhRyEntity;
import org.springblade.modules.sqmy.pojo.vo.JmhRyVO;
import org.springblade.modules.sqmy.service.IJmhRyService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 每周见面会_参会人员 服务实现类
 *
 * @author wth
 * @since 2024-11-12
 */
@Service
public class JmhRyServiceImpl extends BaseServiceImpl<JmhRyMapper, JmhRyEntity> implements IJmhRyService {

	@Override
	public IPage<JmhRyVO> selectJmhRyPage(IPage<JmhRyVO> page, JmhRyVO jmhRy) {
		return page.setRecords(baseMapper.selectJmhRyPage(page, jmhRy));
	}

	@Override
	public List<JmhRyExcel> exportJmhRy(Wrapper<JmhRyEntity> queryWrapper) {
		List<JmhRyExcel> jmhRyList = baseMapper.exportJmhRy(queryWrapper);
		//jmhRyList.forEach(jmhRy -> {
		//	jmhRy.setTypeName(DictCache.getValue(DictEnum.YES_NO, JmhRyEntity.getType()));
		//});
		return jmhRyList;
	}

}
