package org.springblade.modules.system.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.io.Serializable;

/**
 * UserExcel
 *
 * @author Chill
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class UserExcel implements Serializable {
	private static final long serialVersionUID = 1L;

	@ColumnWidth(15)
	@ExcelProperty("姓名")
	private String realName;

	@ColumnWidth(15)
	@ExcelProperty("身份证号")
	private String sfzh;

	@ColumnWidth(20)
	@ExcelProperty("电话号码")
	private String phone;

	@ColumnWidth(15)
	@ExcelProperty("管辖社区")
	private String sqName;

	@ColumnWidth(10)
	@ExcelProperty("所属派出所")
	private String pcsName;

	@ColumnWidth(10)
	@ExcelProperty("所属分局代码")
	private Long fjId;

	@ExcelProperty("角色")
	private String roleName;

	@ExcelProperty("警号")
	private Integer jh;
}
