package org.springblade.modules.xlfk.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * 巡逻防控 实体类
 *
 * @author BladeX
 * @since 2024-11-06
 */
@Data
@TableName("xlfk")
@EqualsAndHashCode(callSuper = true)
public class XlfkEntity extends BaseEntity {

	/**
	 * 巡逻路线
	 */
	@ApiModelProperty(value = "巡逻路线")
	private String xllx;
	/**
	 * 巡逻里程数
	 */
	@ApiModelProperty(value = "巡逻里程数")
	private String xllcs;
	/**
	 * 巡逻开始时间
	 */
	@ApiModelProperty(value = "巡逻开始时间")
	private String startTime;
	/**
	 * 巡逻结束时间
	 */
	@ApiModelProperty(value = "巡逻结束时间")
	private String endTime;
	/**
	 * 巡逻照片
	 */
	@ApiModelProperty(value = "巡逻照片")
	private String zp;
	/**
	 * 起点地址
	 */
	@ApiModelProperty(value = "起点地址")
	private String qddz;
	/**
	 * 终点地址
	 */
	@ApiModelProperty(value = "终点地址")
	private String zddz;
	/**
	 * 巡逻面积
	 */
	@ApiModelProperty(value = "巡逻面积")
	private String xlmj;
}
