package org.springblade.modules.xpgxb.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.xpgxb.entity.XpgxbEntity;
import org.springblade.modules.xpgxb.excel.XpgxbExcel;

import java.util.List;
import java.util.Map;

/**
 * 下派关系表 Mapper 接口
 *
 * @author BladeX
 * @since 2023-07-09
 */
public interface XpgxbMapper extends BaseMapper<XpgxbEntity> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @return
	 */
	List<XpgxbEntity> selectXpgxbPage(IPage page, @Param("params") Map<String, Object> params);

	/**
	 * 获取导出数据
	 *
	 * @param queryWrapper
	 * @return
	 */
	List<XpgxbExcel> exportXpgxb(@Param("ew") Wrapper<XpgxbEntity> queryWrapper);

}
