package org.springblade.modules.xxy.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.modules.xxy.entity.XxyEntity;

/**
 * 信息员 视图实体类
 *
 * @author BladeX
 * @since 2023-07-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class XxyVO extends XxyEntity {
	private static final long serialVersionUID = 1L;
	private String bName; // 楼栋名称
	private String sqmc; // 社区名称
	private String xm; // 姓名
}
