package org.springblade.modules.yhyj.vo;

import lombok.Data;

import java.util.List;

/**
 * 消防检查——隐患移交三方 视图实体类
 *
 * @author BladeX
 * @since 2024-04-28
 */
@Data
public class HiddenDangerFormVO {
	private static final long serialVersionUID = 1L;
	private String hazardType; // 隐患类型  1=拒不整改 2=逾期未整改 3=重大火灾风险隐患
	private String inspectionContent; // 检查内容
	private String description; // 问题描述
	private List<PicVO> hdFormFiles; // 隐患照片列表
}
